org.jboss.shrinkwrap.descriptor.api.javaee7

## Interface MailSessionType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface MailSessionType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `mail-sessionType` xsd type

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `PropertyType<MailSessionType<T>>` | `create` Creates a new `property` element
    `MailSessionType<T>` | `removeAll` Removes all `property` elements

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyType<MailSessionType<T>>` | `createProperty()` Creates a new `property` element
    `MailSessionType<T>` | `description(java.lang.String description)` Sets the `description` element
    `MailSessionType<T>` | `from(java.lang.String from)` Sets the `from` element
    `java.util.List<PropertyType<MailSessionType<T>>>` | `getAllProperty()` Returns all `property` elements
    `java.lang.String` | `getDescription()` Returns the `description` element
    `java.lang.String` | `getFrom()` Returns the `from` element
    `java.lang.String` | `getHost()` Returns the `host` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getName()` Returns the `name` element
    `PropertyType<MailSessionType<T>>` | `getOrCreateProperty()` If not already created, a new `property` element will be created and returned.
    `java.lang.String` | `getPassword()` Returns the `password` element
    `java.lang.String` | `getStoreProtocol()` Returns the `store-protocol` element
    `java.lang.String` | `getStoreProtocolClass()` Returns the `store-protocol-class` element
    `java.lang.String` | `getTransportProtocol()` Returns the `transport-protocol` element
    `java.lang.String` | `getTransportProtocolClass()` Returns the `transport-protocol-class` element
    `java.lang.String` | `getUser()` Returns the `user` element
    `MailSessionType<T>` | `host(java.lang.String host)` Sets the `host` element
    `MailSessionType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `MailSessionType<T>` | `name(java.lang.String name)` Sets the `name` element
    `MailSessionType<T>` | `password(java.lang.String password)` Sets the `password` element
    `MailSessionType<T>` | `removeAllProperty()` Removes all `property` elements
    `MailSessionType<T>` | `removeDescription()` Removes the `description` element
    `MailSessionType<T>` | `removeFrom()` Removes the `from` element
    `MailSessionType<T>` | `removeHost()` Removes the `host` element
    `MailSessionType<T>` | `removeId()` Removes the `id` attribute
    `MailSessionType<T>` | `removeName()` Removes the `name` element
    `MailSessionType<T>` | `removePassword()` Removes the `password` element
    `MailSessionType<T>` | `removeStoreProtocol()` Removes the `store-protocol` element
    `MailSessionType<T>` | `removeStoreProtocolClass()` Removes the `store-protocol-class` element
    `MailSessionType<T>` | `removeTransportProtocol()` Removes the `transport-protocol` element
    `MailSessionType<T>` | `removeTransportProtocolClass()` Removes the `transport-protocol-class` element
    `MailSessionType<T>` | `removeUser()` Removes the `user` element
    `MailSessionType<T>` | `storeProtocol(java.lang.String storeProtocol)` Sets the `store-protocol` element
    `MailSessionType<T>` | `storeProtocolClass(java.lang.String storeProtocolClass)` Sets the `store-protocol-class` element
    `MailSessionType<T>` | `transportProtocol(java.lang.String transportProtocol)` Sets the `transport-protocol` element
    `MailSessionType<T>` | `transportProtocolClass(java.lang.String transportProtocolClass)` Sets the `transport-protocol-class` element
    `MailSessionType<T>` | `user(java.lang.String user)` Sets the `user` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Property Detail

    - #### create

          PropertyType<MailSessionType<T>> createProperty

      Creates a new `property` element

    - #### removeAll

          MailSessionType<T> removeAllProperty

      Removes all `property` elements

  - ### Method Detail

    - #### description

          MailSessionType<T> description(java.lang.String description)

      Sets the `description` element
      Parameters:
        `description` - the value for the element `description`
      Returns:
        the current instance of `MailSessionType`

    - #### getDescription

          java.lang.String getDescription()

      Returns the `description` element
      Returns:
        the node defined for the element `description`

    - #### removeDescription

          MailSessionType<T> removeDescription()

      Removes the `description` element
      Returns:
        the current instance of `MailSessionType`

    - #### name

          MailSessionType<T> name(java.lang.String name)

      Sets the `name` element
      Parameters:
        `name` - the value for the element `name`
      Returns:
        the current instance of `MailSessionType`

    - #### getName

          java.lang.String getName()

      Returns the `name` element
      Returns:
        the node defined for the element `name`

    - #### removeName

          MailSessionType<T> removeName()

      Removes the `name` element
      Returns:
        the current instance of `MailSessionType`

    - #### storeProtocol

          MailSessionType<T> storeProtocol(java.lang.String storeProtocol)

      Sets the `store-protocol` element
      Parameters:
        `storeProtocol` - the value for the element `store-protocol`
      Returns:
        the current instance of `MailSessionType`

    - #### getStoreProtocol

          java.lang.String getStoreProtocol()

      Returns the `store-protocol` element
      Returns:
        the node defined for the element `store-protocol`

    - #### removeStoreProtocol

          MailSessionType<T> removeStoreProtocol()

      Removes the `store-protocol` element
      Returns:
        the current instance of `MailSessionType`

    - #### storeProtocolClass

          MailSessionType<T> storeProtocolClass(java.lang.String storeProtocolClass)

      Sets the `store-protocol-class` element
      Parameters:
        `storeProtocolClass` - the value for the element `store-protocol-class`
      Returns:
        the current instance of `MailSessionType`

    - #### getStoreProtocolClass

          java.lang.String getStoreProtocolClass()

      Returns the `store-protocol-class` element
      Returns:
        the node defined for the element `store-protocol-class`

    - #### removeStoreProtocolClass

          MailSessionType<T> removeStoreProtocolClass()

      Removes the `store-protocol-class` element
      Returns:
        the current instance of `MailSessionType`

    - #### transportProtocol

          MailSessionType<T> transportProtocol(java.lang.String transportProtocol)

      Sets the `transport-protocol` element
      Parameters:
        `transportProtocol` - the value for the element `transport-protocol`
      Returns:
        the current instance of `MailSessionType`

    - #### getTransportProtocol

          java.lang.String getTransportProtocol()

      Returns the `transport-protocol` element
      Returns:
        the node defined for the element `transport-protocol`

    - #### removeTransportProtocol

          MailSessionType<T> removeTransportProtocol()

      Removes the `transport-protocol` element
      Returns:
        the current instance of `MailSessionType`

    - #### transportProtocolClass

          MailSessionType<T> transportProtocolClass(java.lang.String transportProtocolClass)

      Sets the `transport-protocol-class` element
      Parameters:
        `transportProtocolClass` - the value for the element `transport-protocol-class`
      Returns:
        the current instance of `MailSessionType`

    - #### getTransportProtocolClass

          java.lang.String getTransportProtocolClass()

      Returns the `transport-protocol-class` element
      Returns:
        the node defined for the element `transport-protocol-class`

    - #### removeTransportProtocolClass

          MailSessionType<T> removeTransportProtocolClass()

      Removes the `transport-protocol-class` element
      Returns:
        the current instance of `MailSessionType`

    - #### host

          MailSessionType<T> host(java.lang.String host)

      Sets the `host` element
      Parameters:
        `host` - the value for the element `host`
      Returns:
        the current instance of `MailSessionType`

    - #### getHost

          java.lang.String getHost()

      Returns the `host` element
      Returns:
        the node defined for the element `host`

    - #### removeHost

          MailSessionType<T> removeHost()

      Removes the `host` element
      Returns:
        the current instance of `MailSessionType`

    - #### user

          MailSessionType<T> user(java.lang.String user)

      Sets the `user` element
      Parameters:
        `user` - the value for the element `user`
      Returns:
        the current instance of `MailSessionType`

    - #### getUser

          java.lang.String getUser()

      Returns the `user` element
      Returns:
        the node defined for the element `user`

    - #### removeUser

          MailSessionType<T> removeUser()

      Removes the `user` element
      Returns:
        the current instance of `MailSessionType`

    - #### password

          MailSessionType<T> password(java.lang.String password)

      Sets the `password` element
      Parameters:
        `password` - the value for the element `password`
      Returns:
        the current instance of `MailSessionType`

    - #### getPassword

          java.lang.String getPassword()

      Returns the `password` element
      Returns:
        the node defined for the element `password`

    - #### removePassword

          MailSessionType<T> removePassword()

      Removes the `password` element
      Returns:
        the current instance of `MailSessionType`

    - #### from

          MailSessionType<T> from(java.lang.String from)

      Sets the `from` element
      Parameters:
        `from` - the value for the element `from`
      Returns:
        the current instance of `MailSessionType`

    - #### getFrom

          java.lang.String getFrom()

      Returns the `from` element
      Returns:
        the node defined for the element `from`

    - #### removeFrom

          MailSessionType<T> removeFrom()

      Removes the `from` element
      Returns:
        the current instance of `MailSessionType`

    - #### getOrCreateProperty

          PropertyType<MailSessionType<T>> getOrCreateProperty()

      If not already created, a new `property` element will be created and returned. Otherwise, the first existing `property` element will be returned.
      Returns:
        the instance defined for the element `property`

    - #### createProperty

          PropertyType<MailSessionType<T>> createProperty()

      Creates a new `property` element

    - #### getAllProperty

          java.util.List<PropertyType<MailSessionType<T>>> getAllProperty()

      Returns all `property` elements
      Returns:
        list of `property`

    - #### removeAllProperty

          MailSessionType<T> removeAllProperty()

      Removes all `property` elements

    - #### id

          MailSessionType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `MailSessionType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          MailSessionType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `MailSessionType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)